
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

The code that parses the OF device tree contains an old bogus hack which
was killed a long time ago on ppc32, but survived in ppc64.  It was
supposed to help with a problem on the f50 which is ...  a 32 bits machine
:) Additionally, that hack is causing problems, so let's just get rid of
it.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-remove-bogus-f50-hack-in-promc arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-remove-bogus-f50-hack-in-promc	2005-04-06 01:46:57.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/prom.c	2005-04-06 01:46:57.000000000 -0700
@@ -544,12 +544,6 @@ static int __devinit finish_node(struct 
 	if (ip != NULL)
 		nsizec = *ip;
 
-	/* the f50 sets the name to 'display' and 'compatible' to what we
-	 * expect for the name -- Cort
-	 */
-	if (!strcmp(np->name, "display"))
-		np->name = get_property(np, "compatible", NULL);
-
 	if (!strcmp(np->name, "device-tree") || np->parent == NULL)
 		ifunc = interpret_root_props;
 	else if (np->type == 0)
_
